beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Work logged] (BEAM-3519) GCP IO exposes netty on its API surface, causing conflicts with runners
Date Tue, 20 Mar 2018 15:35:00 GMT

     [ https://issues.apache.org/jira/browse/BEAM-3519?focusedWorklogId=82299&page=com.atlassian.jira.plugin.system.issuetabpanels:worklog-tabpanel#worklog-82299
]

ASF GitHub Bot logged work on BEAM-3519:
----------------------------------------

                Author: ASF GitHub Bot
            Created on: 20/Mar/18 15:34
            Start Date: 20/Mar/18 15:34
    Worklog Time Spent: 10m 
      Work Description: iemejia commented on issue #4651: [BEAM-3519][BEAM-3668] Shaded netty
related dependencies of google-cloud-platform module
URL: https://github.com/apache/beam/pull/4651#issuecomment-374642666
 
 
   Any news on this one ?

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


Issue Time Tracking
-------------------

    Worklog Id:     (was: 82299)
    Time Spent: 3h 10m  (was: 3h)

> GCP IO exposes netty on its API surface, causing conflicts with runners
> -----------------------------------------------------------------------
>
>                 Key: BEAM-3519
>                 URL: https://issues.apache.org/jira/browse/BEAM-3519
>             Project: Beam
>          Issue Type: Bug
>          Components: io-java-gcp
>            Reporter: Ismaël Mejía
>            Assignee: Chamikara Jayalath
>            Priority: Critical
>          Time Spent: 3h 10m
>  Remaining Estimate: 0h
>
> Google Cloud Platform IOs module leaks netty this causes conflicts in particular with
execution systems that use conflicting versions of such modules. 
>  For the case there is a dependency conflict with the Spark Runner version of netty,
see: BEAM-3492



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message